Coin Historical Chart Data within Time Range by Token Address
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/coins/{id}/contract/{contract_address}/market_chart/range \
--header 'x-cg-pro-api-key: <api-key>'{
"prices": [
[
1735689600000,
1.000540738607754
],
[
1735776000000,
0.9995995563541714
]
],
"market_caps": [
[
1735689600000,
43945617394.42927
],
[
1735776000000,
43740787028.36501
]
],
"total_volumes": [
[
1735689600000,
6544488766.849924
],
[
1735776000000,
5447401746.320422
]
]
}Coin Historical Chart Data within Time Range by Token Address
To get the historical chart data within certain time range in UNIX along with price, market cap and 24hrs volume based on asset platform and particular token contract address
GET
/
coins
/
{id}
/
contract
/
{contract_address}
/
market_chart
/
range
Coin Historical Chart Data within Time Range by Token Address
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/coins/{id}/contract/{contract_address}/market_chart/range \
--header 'x-cg-pro-api-key: <api-key>'{
"prices": [
[
1735689600000,
1.000540738607754
],
[
1735776000000,
0.9995995563541714
]
],
"market_caps": [
[
1735689600000,
43945617394.42927
],
[
1735776000000,
43740787028.36501
]
],
"total_volumes": [
[
1735689600000,
6544488766.849924
],
[
1735776000000,
5447401746.320422
]
]
}Notes
-
Find a tokenβs contract address on its CoinGecko page or via Coins List with
include_platform=true. -
Accepts ISO date strings (
YYYY-MM-DDorYYYY-MM-DDTHH:MM, recommended) or UNIX timestamps forfromandto. -
Auto-granularity when
intervalis not specified:Date range Granularity 1 day from current time 5-minutely 1 day from any other time hourly 2β90 days hourly Above 90 days daily (00:00 UTC) -
Enterprise plan subscribers can bypass auto-granularity:
intervalPer request hourlyAny 100 days 5mAny 10 days 1mAny 1 day (Beta) -
Data availability:
1mfrom 1 Jun 2026,5mfrom 9 Feb 2018,hourlyfrom 30 Jan 2018.
The last completed UTC day (00:00) is available 35 minutes after midnight (00:35 UTC). Cache expires at 00:40 UTC.
Historical data on the Basic plan is restricted to the past 2 years. Subscribe to Analyst plan & above for the full range.
SDK Examples
const response = await client.coins.contract.marketChart.getRange('0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48', {
id: 'ethereum',
vs_currency: 'usd',
from: '2025-12-22',
to: '2025-12-31',
});
console.log(JSON.stringify(response, null, 2));
response = client.coins.contract.market_chart.get_range(
"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
id="ethereum",
vs_currency="usd",
from_="2025-12-22",
to="2025-12-31",
)
print(response.model_dump_json(indent=2))
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Query Parameters
Target currency of market data.
*refers to /simple/supported_vs_currencies.
Starting date in ISO date string (YYYY-MM-DD or YYYY-MM-DDTHH:MM) or UNIX timestamp.
Use ISO date string for best compatibility.
Ending date in ISO date string (YYYY-MM-DD or YYYY-MM-DDTHH:MM) or UNIX timestamp.
Use ISO date string for best compatibility.
Data interval, leave empty for auto granularity.
Available options:
1m, 5m, hourly, daily Decimal place for currency price value.
Available options:
full, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18 Response
200 - application/json
Coin historical chart data within time range by token address
Was this page helpful?

